Loading...
Searching...
No Matches
AVExifEntry Struct Reference

`#include <libavcodec/exif.h>`

## Data Fields

uint16_t | id
enum AVTiffDataType | type
uint32_t | count
uint32_t | ifd_offset
uint8_t * | ifd_lead
union { |
void * ptr |
int64_t * sint |
uint64_t * uint |
double * dbl |
char * str |
uint8_t * ubytes |
int8_t * sbytes |
AVRational * rat |
AVExifMetadata ifd |
} | value

## Detailed Description

Definition at line 85 of file exif.h.

## Field Documentation

## id

uint16_t AVExifEntry::id

Definition at line 86 of file exif.h.

## type

enum AVTiffDataType AVExifEntry::type

Definition at line 87 of file exif.h.

## count

uint32_t AVExifEntry::count

Definition at line 88 of file exif.h.

## ifd_offset

uint32_t AVExifEntry::ifd_offset

Definition at line 98 of file exif.h.

## ifd_lead

uint8_t* AVExifEntry::ifd_lead

Definition at line 99 of file exif.h.

## ptr

void* AVExifEntry::ptr

Definition at line 107 of file exif.h.

## sint

int64_t* AVExifEntry::sint

Definition at line 108 of file exif.h.

## uint

uint64_t* AVExifEntry::uint

Definition at line 109 of file exif.h.

## dbl

double* AVExifEntry::dbl

Definition at line 110 of file exif.h.

## str

char* AVExifEntry::str

Definition at line 111 of file exif.h.

## ubytes

uint8_t* AVExifEntry::ubytes

Definition at line 112 of file exif.h.

## sbytes

int8_t* AVExifEntry::sbytes

Definition at line 113 of file exif.h.

## rat

AVRational* AVExifEntry::rat

Definition at line 114 of file exif.h.

## ifd

AVExifMetadata AVExifEntry::ifd

Definition at line 115 of file exif.h.

## [union]

union { ... } AVExifEntry::value

The documentation for this struct was generated from the following file:

- libavcodec/exif.h